//buzzer.c
#include "buzzer.h"
#include <iolpc2138.h>

//it's a simple delay
void DelayS (unsigned long a) { while (--a!=0); }

// init buzzer
void InitBuzzer(void) {
  IO0DIR_bit.P0_22 = 1;     //set port0.22 to output
}

// Beep
void Beep(void) {
  for(int i=0; i<50; i++)
  {
    IO0CLR_bit.P0_22 = 1;   //on buzzer
    DelayS(2000);           //delay
    IO0SET_bit.P0_22 = 1;   //off buzzer
    DelayS(2000);           //delay
  }
}

